API referenceAdmin operations
Get application usage over time
agw_identity_auth.session_token<token>
The console's session cookie. Admin requests from the console also send x-console-request: 1.
In: cookie
Path Parameters
app*string
Query Parameters
from?string
Inclusive YYYY-MM-DD start; defaults to 29 days before to.
Match
^\d{4}-\d{2}-\d{2}$to?string
Inclusive YYYY-MM-DD end; defaults to today.
Match
^\d{4}-\d{2}-\d{2}$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/admin/apps/string/usage/timeseries"{ "app_id": "string", "from": "string", "to": "string", "buckets": [ { "requests": 0, "input_tokens": 0, "cached_input_tokens": 0, "cache_write_tokens": 0, "output_tokens": 0, "cost_usd": 0, "errors": 0, "date": "string", "provider": "string" } ]}Preview or apply current catalog prices to stored usage
Preview or apply current catalog prices to stored usage (POST /v1/admin/apps/{app}/usage/reprice) in the App AI Gateway API.
Get grouped application usage
Get grouped application usage (GET /v1/admin/apps/{app}/usage/breakdown) in the App AI Gateway API.